summaryrefslogtreecommitdiffstats
path: root/mvn-phase-script.sh
diff options
context:
space:
mode:
authorTony Hansen <tony@att.com>2021-02-18 01:15:28 +0000
committerGerrit Code Review <gerrit@onap.org>2021-02-18 01:15:28 +0000
commit5f2aa5fa415ad402c6c3acac1d5138515daf68a3 (patch)
tree11e43aadd64cb29ffb14b63c737cb0e88c87fd1c /mvn-phase-script.sh
parent6118a2bb89e3a57d429616f7f8e182046d0008a5 (diff)
parentfffe41c078fa427f2a62035ee2d6cc5cd407238c (diff)
Merge "Seed policysync container code"
Diffstat (limited to 'mvn-phase-script.sh')
-rwxr-xr-xmvn-phase-script.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/mvn-phase-script.sh b/mvn-phase-script.sh
index 0e9c8f4..71df21a 100755
--- a/mvn-phase-script.sh
+++ b/mvn-phase-script.sh
@@ -62,6 +62,27 @@ compile)
;;
test)
echo "==> test phase script"
+ case $MVN_PROJECT_MODULEID in
+ dcae-services-policy-sync)
+ set -e -x
+ CURDIR=$(pwd)
+ TOXINIS=$(find . -name "tox.ini")
+ for TOXINI in "${TOXINIS[@]}"; do
+ DIR=$(echo "$TOXINI" | rev | cut -f2- -d'/' | rev)
+ cd "${CURDIR}/${DIR}"
+ rm -rf ./venv-tox ./.tox
+ virtualenv ./venv-tox
+ source ./venv-tox/bin/activate
+ pip install pip==20.3.4
+ pip install --upgrade argparse
+ pip install tox
+ pip freeze
+ tox
+ deactivate
+ rm -rf ./venv-tox ./.tox
+ done
+ ;;
+ esac
;;
package)
echo "==> package phase script"